From f574c5ed0fdb17cb9ed759760ec3fba554e334cb Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 31 2020 07:22:28 +0000
Subject: [PATCH 780/2232] Import cc::Build


The lack of import here was left over from cxx 0.2 where this code was
part of a distinct cxx::Build type. Now that the entry point to
cxx-build is a function rather than a Build type, we are free to import
cc's Build.

---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 8f48f20..c7d452f 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -60,6 +60,7 @@ mod syntax;
 use crate::error::Result;
 use crate::gen::error::report;
 use crate::gen::{fs, Opt};
+use cc::Build;
 use std::io::{self, Write};
 use std::iter;
 use std::path::Path;
@@ -71,7 +72,7 @@ use std::process;
 ///
 /// [`compile`]: https://docs.rs/cc/1.0.49/cc/struct.Build.html#method.compile
 #[must_use]
-pub fn bridge(rust_source_file: impl AsRef<Path>) -> cc::Build {
+pub fn bridge(rust_source_file: impl AsRef<Path>) -> Build {
     bridges(iter::once(rust_source_file))
 }
 
@@ -85,7 +86,7 @@ pub fn bridge(rust_source_file: impl AsRef<Path>) -> cc::Build {
 ///     .flag_if_supported("-std=c++11")
 ///     .compile("cxxbridge-demo");
 /// ```
-pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) -> cc::Build {
+pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) -> Build {
     let mut build = paths::cc_build();
     build.cpp(true);
     build.cpp_link_stdlib(None); // linked via link-cplusplus crate
@@ -100,7 +101,7 @@ pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) ->
     build
 }
 
-fn try_generate_bridge(build: &mut cc::Build, rust_source_file: &Path) -> Result<()> {
+fn try_generate_bridge(build: &mut Build, rust_source_file: &Path) -> Result<()> {
     let opt = Opt::default();
     let generated = gen::generate_from_path(rust_source_file, &opt);
 

